summaryrefslogtreecommitdiffstats
path: root/games/pengupop
diff options
context:
space:
mode:
author Frank Caraballo2010-05-12 17:39:27 +0200
committer David Somero2010-05-12 17:39:27 +0200
commit2d1ab6108a5a13444d12545bb8ee2fa5d7436199 (patch)
treed00858c07cb02b150c0ed170170d2bf20ed8aef5 /games/pengupop
parent7a9ca4915b684dff9c88792e75ad4c8772407e92 (diff)
downloadslackbuilds-2d1ab6108a5a13444d12545bb8ee2fa5d7436199.tar.gz
games/pengupop: Updated for version 2.2.4
Diffstat (limited to 'games/pengupop')
-rw-r--r--games/pengupop/README9
-rw-r--r--games/pengupop/doinst.sh4
-rw-r--r--games/pengupop/pengupop.SlackBuild35
-rw-r--r--games/pengupop/pengupop.info6
-rw-r--r--games/pengupop/slack-desc20
5 files changed, 39 insertions, 35 deletions
diff --git a/games/pengupop/README b/games/pengupop/README
index ae7636b544..059aa72ac4 100644
--- a/games/pengupop/README
+++ b/games/pengupop/README
@@ -1,5 +1,4 @@
-Finally a networked multiplayer game in the vein
-of the puzzle classic Bust a Move/Puzzle Bobble!
-Beat your friends in this addictive game, or play
-against a random opponent! Remember to sign up to
-participate in the score system.
+Finally a networked multiplayer game in the vein of the puzzle classic
+Bust a Move/Puzzle Bobble! Beat your friends in this addictive game,
+or play against a random opponent! Remember to sign up to participate
+in the score system.
diff --git a/games/pengupop/doinst.sh b/games/pengupop/doinst.sh
index 98d466d8b9..140e332222 100644
--- a/games/pengupop/doinst.sh
+++ b/games/pengupop/doinst.sh
@@ -1,3 +1,3 @@
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/games/pengupop/pengupop.SlackBuild b/games/pengupop/pengupop.SlackBuild
index 316c360a7d..647e332bdc 100644
--- a/games/pengupop/pengupop.SlackBuild
+++ b/games/pengupop/pengupop.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Pengupop
-# Copyright 2007 Frank Caraballo <fecaraballo[AT]gmail.com>
+# Copyright 2007, 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,55 +23,60 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pengupop
-VERSION=2.2.4
+VERSION=${VERSION:-2.2.4}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-mkdir -p $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp -a $PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
cp -a $PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
-mkdir -p $PKG/usr/share/applications
-cp -a $PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/pengupop/pengupop.info b/games/pengupop/pengupop.info
index 7cfc0321bf..239b9e0cec 100644
--- a/games/pengupop/pengupop.info
+++ b/games/pengupop/pengupop.info
@@ -1,8 +1,8 @@
PRGNAM="pengupop"
VERSION="2.2.4"
HOMEPAGE="http://www.junoplay.com/pengupop"
-DOWNLOAD="http://www.junoplay.com/files/pengupop-latest.tar.gz"
+DOWNLOAD="http://slackbuilds.org/sources/12.2/pengupop-2.2.4.tar.gz"
MD5SUM="31cb21f9b9f0cc92076a0361b4fea09b"
MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo[AT]gmail.com"
-APPROVED="Erik Hanson"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="dsomero"
diff --git a/games/pengupop/slack-desc b/games/pengupop/slack-desc
index 1265cbef08..b23f9fa5b5 100644
--- a/games/pengupop/slack-desc
+++ b/games/pengupop/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
pengupop: Pengupop (Puzzle Bobble Clone)
pengupop:
-pengupop: Finally a networked multiplayer game in the vein
-pengupop: of the puzzle classic Bust a Move/Puzzle Bobble!
-pengupop: Beat your friends in this addictive game, or play
-pengupop: against a random opponent! Remember to sign up to
-pengupop: participate in the score system.
+pengupop: Finally a networked multiplayer game in the vein of the puzzle classic
+pengupop: Bust a Move/Puzzle Bobble! Beat your friends in this addictive game,
+pengupop: or play against a random opponent! Remember to sign up to participate
+pengupop: in the score system.
pengupop:
pengupop: Homepage: http://www.junoplay.com/pengupop
pengupop:
pengupop:
+pengupop: